<?php
/********************************************************************************
 * (c)1337 aheadware.com - All rights reserved
 ********************************************************************************/

/**
 * Class Francis_Core_Cache
 */
class Francis_Core_Cache {

    private static $cacheInstance = NULL;
    private function __construct() {}
    private function __clone() {}

    public static function get() {
        if( is_null( self::$cacheInstance ) ) {
            self::$cacheInstance = new phpFastCache();
        }
        return self::$cacheInstance;
    }
} 